package com.tzld.piaoquan.api.model.po.contentplatform;

import com.tzld.piaoquan.growth.common.utils.page.Page;
import java.util.ArrayList;
import java.util.List;

public class ContentPlatformPqAccountRelExample {
    protected String orderByClause;

    protected boolean distinct;

    protected List<Criteria> oredCriteria;

    protected Page page;

    public ContentPlatformPqAccountRelExample() {
        oredCriteria = new ArrayList<Criteria>();
    }

    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    public String getOrderByClause() {
        return orderByClause;
    }

    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    public boolean isDistinct() {
        return distinct;
    }

    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    public void setPage(Page page) {
        this.page=page;
    }

    public Page getPage() {
        return page;
    }

    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<Criterion>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        public Criteria andIdIsNull() {
            addCriterion("id is null");
            return (Criteria) this;
        }

        public Criteria andIdIsNotNull() {
            addCriterion("id is not null");
            return (Criteria) this;
        }

        public Criteria andIdEqualTo(Long value) {
            addCriterion("id =", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotEqualTo(Long value) {
            addCriterion("id <>", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThan(Long value) {
            addCriterion("id >", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThanOrEqualTo(Long value) {
            addCriterion("id >=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThan(Long value) {
            addCriterion("id <", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThanOrEqualTo(Long value) {
            addCriterion("id <=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdIn(List<Long> values) {
            addCriterion("id in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotIn(List<Long> values) {
            addCriterion("id not in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdBetween(Long value1, Long value2) {
            addCriterion("id between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotBetween(Long value1, Long value2) {
            addCriterion("id not between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andAccountIdIsNull() {
            addCriterion("account_id is null");
            return (Criteria) this;
        }

        public Criteria andAccountIdIsNotNull() {
            addCriterion("account_id is not null");
            return (Criteria) this;
        }

        public Criteria andAccountIdEqualTo(Long value) {
            addCriterion("account_id =", value, "accountId");
            return (Criteria) this;
        }

        public Criteria andAccountIdNotEqualTo(Long value) {
            addCriterion("account_id <>", value, "accountId");
            return (Criteria) this;
        }

        public Criteria andAccountIdGreaterThan(Long value) {
            addCriterion("account_id >", value, "accountId");
            return (Criteria) this;
        }

        public Criteria andAccountIdGreaterThanOrEqualTo(Long value) {
            addCriterion("account_id >=", value, "accountId");
            return (Criteria) this;
        }

        public Criteria andAccountIdLessThan(Long value) {
            addCriterion("account_id <", value, "accountId");
            return (Criteria) this;
        }

        public Criteria andAccountIdLessThanOrEqualTo(Long value) {
            addCriterion("account_id <=", value, "accountId");
            return (Criteria) this;
        }

        public Criteria andAccountIdIn(List<Long> values) {
            addCriterion("account_id in", values, "accountId");
            return (Criteria) this;
        }

        public Criteria andAccountIdNotIn(List<Long> values) {
            addCriterion("account_id not in", values, "accountId");
            return (Criteria) this;
        }

        public Criteria andAccountIdBetween(Long value1, Long value2) {
            addCriterion("account_id between", value1, value2, "accountId");
            return (Criteria) this;
        }

        public Criteria andAccountIdNotBetween(Long value1, Long value2) {
            addCriterion("account_id not between", value1, value2, "accountId");
            return (Criteria) this;
        }

        public Criteria andPqUidIsNull() {
            addCriterion("pq_uid is null");
            return (Criteria) this;
        }

        public Criteria andPqUidIsNotNull() {
            addCriterion("pq_uid is not null");
            return (Criteria) this;
        }

        public Criteria andPqUidEqualTo(Long value) {
            addCriterion("pq_uid =", value, "pqUid");
            return (Criteria) this;
        }

        public Criteria andPqUidNotEqualTo(Long value) {
            addCriterion("pq_uid <>", value, "pqUid");
            return (Criteria) this;
        }

        public Criteria andPqUidGreaterThan(Long value) {
            addCriterion("pq_uid >", value, "pqUid");
            return (Criteria) this;
        }

        public Criteria andPqUidGreaterThanOrEqualTo(Long value) {
            addCriterion("pq_uid >=", value, "pqUid");
            return (Criteria) this;
        }

        public Criteria andPqUidLessThan(Long value) {
            addCriterion("pq_uid <", value, "pqUid");
            return (Criteria) this;
        }

        public Criteria andPqUidLessThanOrEqualTo(Long value) {
            addCriterion("pq_uid <=", value, "pqUid");
            return (Criteria) this;
        }

        public Criteria andPqUidIn(List<Long> values) {
            addCriterion("pq_uid in", values, "pqUid");
            return (Criteria) this;
        }

        public Criteria andPqUidNotIn(List<Long> values) {
            addCriterion("pq_uid not in", values, "pqUid");
            return (Criteria) this;
        }

        public Criteria andPqUidBetween(Long value1, Long value2) {
            addCriterion("pq_uid between", value1, value2, "pqUid");
            return (Criteria) this;
        }

        public Criteria andPqUidNotBetween(Long value1, Long value2) {
            addCriterion("pq_uid not between", value1, value2, "pqUid");
            return (Criteria) this;
        }

        public Criteria andPqNameIsNull() {
            addCriterion("pq_name is null");
            return (Criteria) this;
        }

        public Criteria andPqNameIsNotNull() {
            addCriterion("pq_name is not null");
            return (Criteria) this;
        }

        public Criteria andPqNameEqualTo(String value) {
            addCriterion("pq_name =", value, "pqName");
            return (Criteria) this;
        }

        public Criteria andPqNameNotEqualTo(String value) {
            addCriterion("pq_name <>", value, "pqName");
            return (Criteria) this;
        }

        public Criteria andPqNameGreaterThan(String value) {
            addCriterion("pq_name >", value, "pqName");
            return (Criteria) this;
        }

        public Criteria andPqNameGreaterThanOrEqualTo(String value) {
            addCriterion("pq_name >=", value, "pqName");
            return (Criteria) this;
        }

        public Criteria andPqNameLessThan(String value) {
            addCriterion("pq_name <", value, "pqName");
            return (Criteria) this;
        }

        public Criteria andPqNameLessThanOrEqualTo(String value) {
            addCriterion("pq_name <=", value, "pqName");
            return (Criteria) this;
        }

        public Criteria andPqNameLike(String value) {
            addCriterion("pq_name like", value, "pqName");
            return (Criteria) this;
        }

        public Criteria andPqNameNotLike(String value) {
            addCriterion("pq_name not like", value, "pqName");
            return (Criteria) this;
        }

        public Criteria andPqNameIn(List<String> values) {
            addCriterion("pq_name in", values, "pqName");
            return (Criteria) this;
        }

        public Criteria andPqNameNotIn(List<String> values) {
            addCriterion("pq_name not in", values, "pqName");
            return (Criteria) this;
        }

        public Criteria andPqNameBetween(String value1, String value2) {
            addCriterion("pq_name between", value1, value2, "pqName");
            return (Criteria) this;
        }

        public Criteria andPqNameNotBetween(String value1, String value2) {
            addCriterion("pq_name not between", value1, value2, "pqName");
            return (Criteria) this;
        }

        public Criteria andPqTelNumIsNull() {
            addCriterion("pq_tel_num is null");
            return (Criteria) this;
        }

        public Criteria andPqTelNumIsNotNull() {
            addCriterion("pq_tel_num is not null");
            return (Criteria) this;
        }

        public Criteria andPqTelNumEqualTo(String value) {
            addCriterion("pq_tel_num =", value, "pqTelNum");
            return (Criteria) this;
        }

        public Criteria andPqTelNumNotEqualTo(String value) {
            addCriterion("pq_tel_num <>", value, "pqTelNum");
            return (Criteria) this;
        }

        public Criteria andPqTelNumGreaterThan(String value) {
            addCriterion("pq_tel_num >", value, "pqTelNum");
            return (Criteria) this;
        }

        public Criteria andPqTelNumGreaterThanOrEqualTo(String value) {
            addCriterion("pq_tel_num >=", value, "pqTelNum");
            return (Criteria) this;
        }

        public Criteria andPqTelNumLessThan(String value) {
            addCriterion("pq_tel_num <", value, "pqTelNum");
            return (Criteria) this;
        }

        public Criteria andPqTelNumLessThanOrEqualTo(String value) {
            addCriterion("pq_tel_num <=", value, "pqTelNum");
            return (Criteria) this;
        }

        public Criteria andPqTelNumLike(String value) {
            addCriterion("pq_tel_num like", value, "pqTelNum");
            return (Criteria) this;
        }

        public Criteria andPqTelNumNotLike(String value) {
            addCriterion("pq_tel_num not like", value, "pqTelNum");
            return (Criteria) this;
        }

        public Criteria andPqTelNumIn(List<String> values) {
            addCriterion("pq_tel_num in", values, "pqTelNum");
            return (Criteria) this;
        }

        public Criteria andPqTelNumNotIn(List<String> values) {
            addCriterion("pq_tel_num not in", values, "pqTelNum");
            return (Criteria) this;
        }

        public Criteria andPqTelNumBetween(String value1, String value2) {
            addCriterion("pq_tel_num between", value1, value2, "pqTelNum");
            return (Criteria) this;
        }

        public Criteria andPqTelNumNotBetween(String value1, String value2) {
            addCriterion("pq_tel_num not between", value1, value2, "pqTelNum");
            return (Criteria) this;
        }

        public Criteria andStatusIsNull() {
            addCriterion("`status` is null");
            return (Criteria) this;
        }

        public Criteria andStatusIsNotNull() {
            addCriterion("`status` is not null");
            return (Criteria) this;
        }

        public Criteria andStatusEqualTo(Integer value) {
            addCriterion("`status` =", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusNotEqualTo(Integer value) {
            addCriterion("`status` <>", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusGreaterThan(Integer value) {
            addCriterion("`status` >", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusGreaterThanOrEqualTo(Integer value) {
            addCriterion("`status` >=", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusLessThan(Integer value) {
            addCriterion("`status` <", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusLessThanOrEqualTo(Integer value) {
            addCriterion("`status` <=", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusIn(List<Integer> values) {
            addCriterion("`status` in", values, "status");
            return (Criteria) this;
        }

        public Criteria andStatusNotIn(List<Integer> values) {
            addCriterion("`status` not in", values, "status");
            return (Criteria) this;
        }

        public Criteria andStatusBetween(Integer value1, Integer value2) {
            addCriterion("`status` between", value1, value2, "status");
            return (Criteria) this;
        }

        public Criteria andStatusNotBetween(Integer value1, Integer value2) {
            addCriterion("`status` not between", value1, value2, "status");
            return (Criteria) this;
        }

        public Criteria andCreateTimestampIsNull() {
            addCriterion("create_timestamp is null");
            return (Criteria) this;
        }

        public Criteria andCreateTimestampIsNotNull() {
            addCriterion("create_timestamp is not null");
            return (Criteria) this;
        }

        public Criteria andCreateTimestampEqualTo(Long value) {
            addCriterion("create_timestamp =", value, "createTimestamp");
            return (Criteria) this;
        }

        public Criteria andCreateTimestampNotEqualTo(Long value) {
            addCriterion("create_timestamp <>", value, "createTimestamp");
            return (Criteria) this;
        }

        public Criteria andCreateTimestampGreaterThan(Long value) {
            addCriterion("create_timestamp >", value, "createTimestamp");
            return (Criteria) this;
        }

        public Criteria andCreateTimestampGreaterThanOrEqualTo(Long value) {
            addCriterion("create_timestamp >=", value, "createTimestamp");
            return (Criteria) this;
        }

        public Criteria andCreateTimestampLessThan(Long value) {
            addCriterion("create_timestamp <", value, "createTimestamp");
            return (Criteria) this;
        }

        public Criteria andCreateTimestampLessThanOrEqualTo(Long value) {
            addCriterion("create_timestamp <=", value, "createTimestamp");
            return (Criteria) this;
        }

        public Criteria andCreateTimestampIn(List<Long> values) {
            addCriterion("create_timestamp in", values, "createTimestamp");
            return (Criteria) this;
        }

        public Criteria andCreateTimestampNotIn(List<Long> values) {
            addCriterion("create_timestamp not in", values, "createTimestamp");
            return (Criteria) this;
        }

        public Criteria andCreateTimestampBetween(Long value1, Long value2) {
            addCriterion("create_timestamp between", value1, value2, "createTimestamp");
            return (Criteria) this;
        }

        public Criteria andCreateTimestampNotBetween(Long value1, Long value2) {
            addCriterion("create_timestamp not between", value1, value2, "createTimestamp");
            return (Criteria) this;
        }

        public Criteria andUpdateTimestampIsNull() {
            addCriterion("update_timestamp is null");
            return (Criteria) this;
        }

        public Criteria andUpdateTimestampIsNotNull() {
            addCriterion("update_timestamp is not null");
            return (Criteria) this;
        }

        public Criteria andUpdateTimestampEqualTo(Long value) {
            addCriterion("update_timestamp =", value, "updateTimestamp");
            return (Criteria) this;
        }

        public Criteria andUpdateTimestampNotEqualTo(Long value) {
            addCriterion("update_timestamp <>", value, "updateTimestamp");
            return (Criteria) this;
        }

        public Criteria andUpdateTimestampGreaterThan(Long value) {
            addCriterion("update_timestamp >", value, "updateTimestamp");
            return (Criteria) this;
        }

        public Criteria andUpdateTimestampGreaterThanOrEqualTo(Long value) {
            addCriterion("update_timestamp >=", value, "updateTimestamp");
            return (Criteria) this;
        }

        public Criteria andUpdateTimestampLessThan(Long value) {
            addCriterion("update_timestamp <", value, "updateTimestamp");
            return (Criteria) this;
        }

        public Criteria andUpdateTimestampLessThanOrEqualTo(Long value) {
            addCriterion("update_timestamp <=", value, "updateTimestamp");
            return (Criteria) this;
        }

        public Criteria andUpdateTimestampIn(List<Long> values) {
            addCriterion("update_timestamp in", values, "updateTimestamp");
            return (Criteria) this;
        }

        public Criteria andUpdateTimestampNotIn(List<Long> values) {
            addCriterion("update_timestamp not in", values, "updateTimestamp");
            return (Criteria) this;
        }

        public Criteria andUpdateTimestampBetween(Long value1, Long value2) {
            addCriterion("update_timestamp between", value1, value2, "updateTimestamp");
            return (Criteria) this;
        }

        public Criteria andUpdateTimestampNotBetween(Long value1, Long value2) {
            addCriterion("update_timestamp not between", value1, value2, "updateTimestamp");
            return (Criteria) this;
        }
    }

    public static class Criteria extends GeneratedCriteria {

        protected Criteria() {
            super();
        }
    }

    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}